.comments {
    overflow: hidden;
    position: relative;
    background: url("../img/comments__bg.webp") 50% 50% no-repeat;
    background-size: cover;
    padding-top: rem(40);
    padding-bottom: rem(50);

    &__header {
        margin-bottom: rem(15);
    }

    &__heading {
        color: $white;
        margin-bottom: rem(15);

        strong {
            display: block;
        }
    }

    &__button {
        display: none;
    }

    &__slider {
        margin-right: -2px;

        .swiper-slide {
            padding-right: 2px;
            padding-bottom: 2px;
        }
    }

    &__nav {
        display: none;
    }

    &__footer {
        text-align: center;
        padding-top: rem(30);
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(45);
        padding-bottom: rem(50);

        &__header {
            margin-bottom: rem(40);
        }

        &__heading {

            strong {
                display: inline;
            }
        }
    }

    @include media-breakpoint-up(lg) {
        padding-top: rem(90);
        padding-bottom: rem(96);

        &__header {
            margin-bottom: rem(40);
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__heading {
            margin-bottom: 0;
        }

        &__footer {
            display: none;
        }

        &__button {
           display: block;
        }
    }

    @include media-breakpoint-up(xl) {

        &__body {
            padding: 0 rem(75);
            position: relative;
        }

        &__nav {
            z-index: 50;
            display: block;
            top: calc(50% - 23px);
            position: absolute;

            &--prev {
                left: 0;
            }

            &--next {
                right: 0;
            }
        }
    }
}

.comment-item {
    padding: rem(10) 0 0 rem(10);

    &__image {
        z-index: 10;
        top: rem(-10);
        left: rem(-10);
        width: 85px;
        height: 120px;
        display: block;
        overflow: hidden;
        border-radius: 4px;
        position: absolute;
        border: 3px solid $red;
    }

    &__main {
        position: relative;
        background: $white;
        border-radius: 5px;
        border: 1px solid #f6f6f6;
        padding: rem(15) rem(10) rem(10) rem(10);
        box-shadow: 0px -2px 2px 0px rgba(0, 0, 0, 0.03);

        &:before {
            top: rem(14);
            right: rem(20);
            content: '';
            width: 34px;
            height: 25px;
            position: absolute;
            background: url("../img/icon__qoute.webp") 50% 50% no-repeat;
        }
    }

    &__content {
        z-index: 1;
        position: relative;
    }

    &__header {
        min-height: rem(95);
        margin-left: rem(75);
        margin-bottom: rem(10);
    }

    &__logo {
        width: 50px;
        height: 50px;
        display: block;
        overflow: hidden;
        border-radius: 50%;
        margin-bottom: rem(8);
    }

    &__title {
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(20);
    }

    &__text {
        color: #676767;
        font-weight: 300;
        font-size: rem(15);
        line-height: rem(20);
    }

    @include media-breakpoint-up(md) {
        min-height: 415px;
        padding: rem(15) 0 0 rem(15);

        &__header {
            min-height: inherit;
            margin-left: 0;
            display: flex;
            align-items: center;
        }

        &__logo {
            width: 60px;
            height: 60px;
            flex-shrink: 0;
            margin: 0 rem(30) 0 0;
        }

        &__title {
            font-size: rem(20);
            line-height: rem(26);
        }

        &__main {
            min-height: rem(385);
            padding: rem(28) rem(15) rem(15) rem(330);
        }

        &__image {
            width: 296px;
            top: rem(-15);
            left: rem(-15);
            height: rem(415);
        }
    }

    @include media-breakpoint-up(lg) {
        padding-left: rem(8);

        &__image {
            left: rem(-4);
        }

        &__logo {
            width: 75px;
            height: 75px;
        }
    }

    @include media-breakpoint-up(xxl) {

        &__main {

            &:before {
                top: rem(24);
                right: rem(64);
            }
        }

        &__title {
            padding-right: rem(50);
            font-size: rem(24);
            line-height: rem(30);
        }

        &__text {
            font-size: rem(18);
            line-height: rem(28);
        }
    }

}

.comments-group {
    display: grid;
    grid-row-gap: rem(10);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(md) {
        grid-row-gap: rem(40);
    }
}
